Subject: Re: [PATCH] wireless-2.6 zd1211rw check against regulatory domain rather than hardcoded value of 11

From: Johannes Berg <[email-masked]>
Date: Mon, 30 Oct 2006 09:42:29 +0100

> I'm not so sure about this. This patching might be US-specific and we 
> cannot simply apply the setting for top channel of another domain 
> instead of channel 11. One option would be to set the value only under 
> the US regulatory domain.

??
What the patch does is replace the top channel which is hardcoded to 11
by the top channel given by the current regulatory domain. How can that
be wrong? Except that you may want to init the regulatory domain from
the EEPROM but I'm not sure how the ieee80211 code works wrt. that.

johannes